HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetInvoices

Contains the different functions to run the operation getInvoices

  • 9 types
  • 5 values
valuegetInvoices
  1. :: MonadHTTP m
  2. => GetInvoicesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetInvoicesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/invoices

<p>You can list all invoices, or list the invoices for a specific customer. The invoices are returned sorted by creation date, with the most recently created invoices appearing first.</p>

Defines the object schema located at paths./v1/invoices.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.GET.parameters.properties.queryCollection_method in the specification.

Represents the parameter named 'collection_method'

The collection method of the invoice to retrieve. Either `charge_automatically` or `send_invoice`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.GET.parameters.properties.queryDue_date.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.GET.parameters.properties.queryDue_date.anyOf in the specification.

Represents the parameter named 'due_date'

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.GET.parameters.properties.queryStatus in the specification.

Represents the parameter named 'status'

The status of the invoice, one of `draft`, `open`, `paid`, `uncollectible`, or `void`. Learn more

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetInvoicesResponse
#

Represents a response of the operation getInvoices.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetInvoicesResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/invoices.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON